Models
Delete a model
Delete a model. By default, only the latest version is deleted, and it must have no model runs. Use the all_versions parameter to delete all versions of the model at once.
DELETE
/
models
/
{model_id}
Delete a model
curl --request DELETE \
--url https://app.gomangrove.com/api/v1/models/{model_id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.gomangrove.com/api/v1/models/{model_id}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://app.gomangrove.com/api/v1/models/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"message": "Cannot delete model with existing model runs"
}
]
}Authorizations
Path Parameters
Model friendly ID (e.g., mod_abc123def456)
Query Parameters
When true, deletes all versions of the model. When false or omitted, deletes only the latest version. The model(s) must not have any model runs to be deleted.
Response
204 No Content
⌘I
Delete a model
